Get own order
curl --request GET \
--url https://leuwongrr.online/api/v1/me/orders/{invoice} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://leuwongrr.online/api/v1/me/orders/{invoice}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://leuwongrr.online/api/v1/me/orders/{invoice}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "OK",
"data": {
"order": {
"invoice_code": "INV20260429113629619",
"status": "processing",
"payment_status": "paid"
}
}
}{
"success": false,
"message": "Unauthorized API token."
}{
"success": false,
"message": "Order tidak ditemukan."
}{
"success": false,
"message": "Unauthorized API token."
}Endpoint User API
Get own order
Ambil detail order berdasarkan invoice milik akun sendiri.
GET
https://leuwongrr.online
/
api
/
v1
/
me
/
orders
/
{invoice}
Get own order
curl --request GET \
--url https://leuwongrr.online/api/v1/me/orders/{invoice} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://leuwongrr.online/api/v1/me/orders/{invoice}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://leuwongrr.online/api/v1/me/orders/{invoice}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "OK",
"data": {
"order": {
"invoice_code": "INV20260429113629619",
"status": "processing",
"payment_status": "paid"
}
}
}{
"success": false,
"message": "Unauthorized API token."
}{
"success": false,
"message": "Order tidak ditemukan."
}{
"success": false,
"message": "Unauthorized API token."
}Authorizations
Masukkan User API Token dari halaman https://leuwongrr.online/user/api-access. Gunakan tanpa prefix Bearer jika field playground sudah otomatis menambahkan Bearer.
Path Parameters
Nomor invoice milik akun pemilik token.
Example:
"INV20260429113629619"
Was this page helpful?